package com.yihu.hos.resource.model;

/**
 * RsRoleDimension entity. @author MyEclipse Persistence Tools
 */

public class RsRoleDimension implements java.io.Serializable {

	// Fields

	private String id;
	private String appId;
	private String dimensionId;
	private String scope;
	private String valid;

	// Constructors

	/** default constructor */
	public RsRoleDimension() {
	}

	/** minimal constructor */
	public RsRoleDimension(String appId, String dimensionId) {
		this.appId = appId;
		this.dimensionId = dimensionId;
	}

	/** full constructor */
	public RsRoleDimension(String appId, String dimensionId, String scope, String valid) {
		this.appId = appId;
		this.dimensionId = dimensionId;
		this.scope = scope;
		this.valid = valid;
	}

	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getAppId() {
		return this.appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public String getDimensionId() {
		return this.dimensionId;
	}

	public void setDimensionId(String dimensionId) {
		this.dimensionId = dimensionId;
	}

	public String getScope() {
		return this.scope;
	}

	public void setScope(String scope) {
		this.scope = scope;
	}

	public String getValid() {
		return this.valid;
	}

	public void setValid(String valid) {
		this.valid = valid;
	}

}